Foros del Web » Programando para Internet » PHP » Zend »

Problema de dependencias en phlyty

Estas en el tema de Problema de dependencias en phlyty en el foro de Zend en Foros del Web. Después de instalar tengo el siguiente error: Fatal error: Class 'Zend\Uri\Http' not found in C:\Users\Gustavo\www\tests\phlyty\vendor\zendframe work\zend-http\Zend\Http\PhpEnvironment\Request.php on line 181 Pasa que el modulo HTTP depende ...
  #1 (permalink)  
Antiguo 15/09/2012, 09:00
Avatar de lisandro Arg  
Fecha de Ingreso: octubre-2003
Ubicación: Cordoba, Argentina
Mensajes: 945
Antigüedad: 20 años, 6 meses
Puntos: 24
Problema de dependencias en phlyty

Después de instalar tengo el siguiente error:

Fatal error: Class 'Zend\Uri\Http' not found in C:\Users\Gustavo\www\tests\phlyty\vendor\zendframe work\zend-http\Zend\Http\PhpEnvironment\Request.php on line 181

Pasa que el modulo HTTP depende de URI pero el composer no lo ha instalado.

Si instala uno deberia estar el otro. Es un bug?

Código composer.lock:
Ver original
  1. {
  2.     "hash": "0ab45cfccbb1b800fed81d12a2722d74",
  3.     "packages": [
  4.         {
  5.             "package": "phly/mustache",
  6.             "version": "dev-master",
  7.             "source-reference": "bf4bb6eed7385ce5c137dcaa66325bd73ee7f815",
  8.             "commit-date": "1343915507"
  9.         },
  10.         {
  11.             "package": "phly/phlyty",
  12.             "version": "dev-master",
  13.             "source-reference": "1.0.0",
  14.             "commit-date": "1345608837"
  15.         },
  16.         {
  17.             "package": "zendframework/zend-escaper",
  18.             "version": "2.0.0"
  19.         },
  20.         {
  21.             "package": "zendframework/zend-eventmanager",
  22.             "version": "2.0.0"
  23.         },
  24.         {
  25.             "package": "zendframework/zend-http",
  26.             "version": "2.0.0-beta4"
  27.         },
  28.         {
  29.             "package": "zendframework/zend-i18n",
  30.             "version": "2.0.0-beta5"
  31.         },
  32.         {
  33.             "package": "zendframework/zend-log",
  34.             "version": "2.0.0"
  35.         },
  36.         {
  37.             "package": "zendframework/zend-mvc",
  38.             "version": "2.0.0-beta4"
  39.         },
  40.         {
  41.             "package": "zendframework/zend-session",
  42.             "version": "2.0.0"
  43.         },
  44.         {
  45.             "package": "zendframework/zend-stdlib",
  46.             "version": "2.0.0"
  47.         }
  48.     ],
  49.     "packages-dev": null,
  50.     "aliases": [
  51.  
  52.     ],
  53.     "minimum-stability": "dev",
  54.     "stability-flags": {
  55.         "phly/phlyty": 20
  56.     }
  57. }
  #2 (permalink)  
Antiguo 15/09/2012, 11:32
Avatar de masterpuppet
Software Craftsman
 
Fecha de Ingreso: enero-2008
Ubicación: Montevideo, Uruguay
Mensajes: 3.550
Antigüedad: 16 años, 3 meses
Puntos: 845
Respuesta: Problema de dependencias en phlyty

En que OS lo estas probando ?
__________________
http://es.phptherightway.com/
thats us riders :)
  #3 (permalink)  
Antiguo 15/09/2012, 11:43
Avatar de lisandro Arg  
Fecha de Ingreso: octubre-2003
Ubicación: Cordoba, Argentina
Mensajes: 945
Antigüedad: 20 años, 6 meses
Puntos: 24
Respuesta: Problema de dependencias en phlyty

win7, voy a probar en ubuntu...
  #4 (permalink)  
Antiguo 15/09/2012, 11:47
Avatar de masterpuppet
Software Craftsman
 
Fecha de Ingreso: enero-2008
Ubicación: Montevideo, Uruguay
Mensajes: 3.550
Antigüedad: 16 años, 3 meses
Puntos: 845
Respuesta: Problema de dependencias en phlyty

Bueno, después veni y contanos lo bien que te funciona en *nix ;)
__________________
http://es.phptherightway.com/
thats us riders :)
  #5 (permalink)  
Antiguo 15/09/2012, 12:35
Avatar de lisandro Arg  
Fecha de Ingreso: octubre-2003
Ubicación: Cordoba, Argentina
Mensajes: 945
Antigüedad: 20 años, 6 meses
Puntos: 24
Respuesta: Problema de dependencias en phlyty

Actualicé a PHP Version 5.4.6-2~precise+1 y me tira un horrible error 500 , en la consola puedo ver q es por el mismo motivo.

Código consola:
Ver original
  1. [Sat Sep 15 15:20:57 2012] 127.0.0.1:58614 [500]: / - Class 'Zend\Uri\Http' not found in /var/www/phlyty/vendor/zendframework/zend-http/Zend/Http/PhpEnvironment/Request.php on line 181

Me cuesta creer q es un bug pero tampoco se me ocurre otra cosa
  #6 (permalink)  
Antiguo 15/09/2012, 13:01
Avatar de masterpuppet
Software Craftsman
 
Fecha de Ingreso: enero-2008
Ubicación: Montevideo, Uruguay
Mensajes: 3.550
Antigüedad: 16 años, 3 meses
Puntos: 845
Respuesta: Problema de dependencias en phlyty

Lo acabo de probar y funciona correctamente, te esta clonando zend-uri ?, en mi consola veo algo asi:

Código SHELL:
Ver original
  1. ...
  2. - Installing zendframework/zend-validator (2.0.0)
  3.     Downloading: 100%        
  4.  
  5.   - Installing zendframework/zend-uri (2.0.0)
  6.     Downloading: 100%        
  7.  
  8.   - Installing zendframework/zend-http (2.0.0)
  9.     Downloading: 100%  
  10. ...

y dentro de vendor/zendframework, tengo el paquete zend-uri, tu ves/tienes lo mismo ?
__________________
http://es.phptherightway.com/
thats us riders :)
  #7 (permalink)  
Antiguo 15/09/2012, 13:20
Avatar de lisandro Arg  
Fecha de Ingreso: octubre-2003
Ubicación: Cordoba, Argentina
Mensajes: 945
Antigüedad: 20 años, 6 meses
Puntos: 24
Respuesta: Problema de dependencias en phlyty

No, no lo tengo

Código consola:
Ver original
  1. - Installing zendframework/zend-i18n (2.0.0-beta5)
  2.     Downloading: 100%        
  3.  
  4.   - Installing zendframework/zend-http (2.0.0-beta4)
  5.     Downloading: 100%        
  6.  
  7.   - Installing zendframework/zend-escaper (2.0.0)

en ubuntu los componentes son los mismos que estan el el composer.lock q puse al principio

Veo q a vos te instala la versión 2.0.0 de http y a mi la beta4, cambiaste algo en el json ?
  #8 (permalink)  
Antiguo 15/09/2012, 13:36
Avatar de masterpuppet
Software Craftsman
 
Fecha de Ingreso: enero-2008
Ubicación: Montevideo, Uruguay
Mensajes: 3.550
Antigüedad: 16 años, 3 meses
Puntos: 845
Respuesta: Problema de dependencias en phlyty

El composer.json es igual al de la documentación, como estas generando el proyecto ?
__________________
http://es.phptherightway.com/
thats us riders :)
  #9 (permalink)  
Antiguo 15/09/2012, 13:43
Avatar de lisandro Arg  
Fecha de Ingreso: octubre-2003
Ubicación: Cordoba, Argentina
Mensajes: 945
Antigüedad: 20 años, 6 meses
Puntos: 24
Respuesta: Problema de dependencias en phlyty

Copio y pego el Hola Mundo de la doc. Pero me parece que el error nace en "composer install" por algún motivo me instala distinto a lo tuyo.
Por las dudas hice un "composer self-update" tambien
  #10 (permalink)  
Antiguo 15/09/2012, 13:50
Avatar de masterpuppet
Software Craftsman
 
Fecha de Ingreso: enero-2008
Ubicación: Montevideo, Uruguay
Mensajes: 3.550
Antigüedad: 16 años, 3 meses
Puntos: 845
Respuesta: Problema de dependencias en phlyty

El problema esta en composer seguro, el tema es como estas generando el proyecto, no el index.php, sino los pasos previos, te digo como lo probe yo:
  1. mkdir test && cd $_
  2. curl -s https://getcomposer.org/installer | php
  3. vim composer.json /* con el contenido de la doc */
  4. php composer.phar install
  5. vim index.php /* con el contenido de la doc */
  6. php -S 127.0.0.1:8080
  7. accedo desde el browser a http://localhost:8080/

vos seguís estos pasos ?, en caso contrario, como lo estas haciendo ?
__________________
http://es.phptherightway.com/
thats us riders :)
  #11 (permalink)  
Antiguo 15/09/2012, 14:15
Avatar de lisandro Arg  
Fecha de Ingreso: octubre-2003
Ubicación: Cordoba, Argentina
Mensajes: 945
Antigüedad: 20 años, 6 meses
Puntos: 24
Respuesta: Problema de dependencias en phlyty

hacia "composer install" en el 4 porque lo tengo globalmente pero por las dudas repeti todos tus pasos y sigue igual
  #12 (permalink)  
Antiguo 15/09/2012, 15:22
Avatar de masterpuppet
Software Craftsman
 
Fecha de Ingreso: enero-2008
Ubicación: Montevideo, Uruguay
Mensajes: 3.550
Antigüedad: 16 años, 3 meses
Puntos: 845
Respuesta: Problema de dependencias en phlyty

Lo acabo de probar en un windows virtualizado y me da el error que estas describiendo, no hace el mismo fetch, y ciertamente no sos el primero al que le ocurre http://stackoverflow.com/questions/1...f-dependencies, lo curioso es la respuesta que da el mismo OP, puede ser un problema con el servicio de packagist, es algo bizarro.

https://github.com/composer/composer/issues/1063, lo mismo con otros paquetes..., parece que es a suerte y verdad.
__________________
http://es.phptherightway.com/
thats us riders :)
  #13 (permalink)  
Antiguo 15/09/2012, 16:20
Avatar de lisandro Arg  
Fecha de Ingreso: octubre-2003
Ubicación: Cordoba, Argentina
Mensajes: 945
Antigüedad: 20 años, 6 meses
Puntos: 24
Respuesta: Problema de dependencias en phlyty

...y ami me falló en dos SO :S

Otra que intenté fue agregar el paquete zend-uri al json para q me lo descarge pero termié con otro error, me instaló mal zend-mvc, en vez de poner los archivos en vendors/zend-mvc/Zend/Mvc/ lo hizo en vendors/zend-mvc/

Bueno... por ahora cambiaré phlyty/mustache por silex/twig hasta q arreglen eso

Gracias Master por la ayuda, sobre todo por ser sabado :). Si tengo novedades publico.
  #14 (permalink)  
Antiguo 15/09/2012, 16:59
Avatar de masterpuppet
Software Craftsman
 
Fecha de Ingreso: enero-2008
Ubicación: Montevideo, Uruguay
Mensajes: 3.550
Antigüedad: 16 años, 3 meses
Puntos: 845
Respuesta: Problema de dependencias en phlyty

Se puede hacer de forma manual, de hecho es lo que hice, soy algo porfiado :P, te cuento como, es algo así:

Código SHELL:
Ver original
  1. php composer.phar require zendframework/zend-uri
  2. php composer.phar require zendframework/zend-loader
  3. php composer.phar require zendframework/zend-i18n

en los tres pasos te pide la version, 2.0.* y ok.

ten en cuenta que el i18n te descarga un paquete al cual le falta una clase..., https://raw.github.com/zendframework...eInterface.php, con que la descargues y guardes en el lugar correspondiente es suficiente, después de todo el periplo debería por fin aparecer el Hello, world!.

Con respeto a utilizar Silex, si es para algo que va a producción, no lo dudes, IMO a Phlyty todavía le falta.
__________________
http://es.phptherightway.com/
thats us riders :)
  #15 (permalink)  
Antiguo 15/09/2012, 17:48
Avatar de lisandro Arg  
Fecha de Ingreso: octubre-2003
Ubicación: Cordoba, Argentina
Mensajes: 945
Antigüedad: 20 años, 6 meses
Puntos: 24
Respuesta: Problema de dependencias en phlyty

Hello, world!

No tengo la suerte de trabajar con esto por el momento, solo despunto el vicio los sabados y como es poco el tiempo trato de concentrarme en zend, por eso la elección.

Gracias por la info y el tiempo :)

Etiquetas: class, dependencias, framework, php
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 23:27.